package org.wso2.carbon.device.mgt.ios.payload.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "AppLockApplication",
        description = "This class represents the information of AppLockApplication.")
public class AppLockApplication {


    @ApiModelProperty(name = "identifier", value = "Device Identifier which is to be executed AppLock Application.", required = true)
    private String identifier;
    @ApiModelProperty(name = "options", value = "ApplicationOptions.", required = true)
    private ApplicationOptions options;
    @ApiModelProperty(name = "userEnabledOptions", value = "ApplicationUserEnabledOptions.", required = true)
    private ApplicationUserEnabledOptions userEnabledOptions;

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public ApplicationOptions getOptions() {
        return options;
    }

    public void setOptions(ApplicationOptions options) {
        this.options = options;
    }

    public ApplicationUserEnabledOptions getUserEnabledOptions() {
        return userEnabledOptions;
    }

    public void setUserEnabledOptions(ApplicationUserEnabledOptions userEnabledOptions) {
        this.userEnabledOptions = userEnabledOptions;
    }
}
